package com.jz.dm.mall.moduls.controller.customer;

import com.baomidou.mybatisplus.extension.api.R;
import com.jz.common.base.BaseController;
import com.jz.common.constant.RedisMessageConstant;
import com.jz.common.constant.ResultCode;
import com.jz.common.constant.ResultMsg;
import com.jz.dm.mall.moduls.entity.MallCustomer;
import com.jz.common.utils.Result;
import com.jz.common.utils.StatusCode;
import com.jz.dm.mall.moduls.service.MallCustomerService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.util.StringUtils;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.Map;

/**
 * 商城用户(MallCustomer)表控制层
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:40
 */
@RestController
@RequestMapping("/mallCustomer")
@Api(tags = "商城用户api")
public class MallCustomerController extends BaseController {
    /**
     * 服务对象
     */
    @Autowired
    private MallCustomerService mallCustomerService;

    @Autowired
    private RedisTemplate redisTemplate;

    /**
     * 添加用户
     * @param paramMap
     * @return
     */
    @PostMapping("/saveCustomer")
    @ApiOperation(value = "注册用户", notes = "添加用户")
    public Result saveCustomer(@RequestParam(required = false) Map<String, String> paramMap, HttpServletRequest request) {
        if (paramMap != null) {
            String username = paramMap.get("username");
            String telephone = paramMap.get("telephone");
            String ph = "^[1][34578]\\d{9}$";
            if (telephone.matches(ph)) {
                MallCustomer mallCustomer = mallCustomerService.selectByPhone(telephone);
                if (mallCustomer != null) {
                    if (mallCustomer.getCustomerPhone().equals(telephone)) {
                        return new Result(false, "手机号相同");
                    }
                }
            }
            // 根据手机号查询用户信息
            MallCustomer mallCustomer = mallCustomerService.selectByAccount(username, request);
            if (mallCustomer != null) {
                if (mallCustomer.getCustomerAccount().equals(username)) {
                    return new Result(false, "用户名相同");
                }
            }
            mallCustomerService.saveCustomer(paramMap);
            return new Result(true, "注册成功！", StatusCode.OK);
        }
       return new Result(false, "注册失败！", StatusCode.ERROR);
    }
    
}