package com.jz.dm.mall.moduls.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.jz.common.bean.PageInfoResponse;
import com.jz.common.constant.Constants;
import com.jz.common.constant.ResultCode;
import com.jz.common.constant.ResultMsg;
import com.jz.common.entity.PlatformLog;
import com.jz.common.utils.Result;
import com.jz.dm.mall.moduls.controller.log.bean.LogInfoQueryReq;
import com.jz.dm.mall.moduls.controller.order.bean.OrderDto;
import com.jz.dm.mall.moduls.entity.MallCustomer;
import com.jz.dm.mall.moduls.mapper.MallCustomerDao;
import com.jz.dm.mall.moduls.mapper.PlatformLogDao;
import com.jz.dm.mall.moduls.service.LogInfoService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author ZC
 * @PACKAGE_NAME: com.jz.dm.mall.moduls.service.impl
 * @PROJECT_NAME: jz-dm-parent
 * @NAME: LogInfoServiceImpl
 * @USER: key
 * @DATE: 2020-12-3/19:00
 * @DAY_NAME_SHORT: 周四
 * @Description:
 **/
@Slf4j
@Service("logInfoService")
public class LogInfoServiceImpl implements LogInfoService {

    @Resource
    private PlatformLogDao platformLogDao;
    @Resource
    private MallCustomerDao mallCustomerDao;
    @Override
    public Result<PageInfoResponse<PlatformLog>> getMallUserLogInfo(LogInfoQueryReq req) {
        Long customerId =0L;
        if (null == customerId) {
            return Result.of_error(ResultMsg.USER_NOT_EXIST);
        }
        MallCustomer mallCustomer = mallCustomerDao.findById(customerId);
        if (null == mallCustomer) {
            return Result.of_error(ResultMsg.USER_NOT_EXIST);
        }
        PageInfoResponse<PlatformLog> pageInfoResponse = new PageInfoResponse<>();
        PageHelper.startPage(req.getPageNum(), req.getPageSize());
        List<PlatformLog> list = platformLogDao.listMallLogInfo(mallCustomer.getCustomerId());
        PageInfo<PlatformLog> pageInfo = new PageInfo<>(list);
        pageInfoResponse.setCode(Constants.SUCCESS_CODE);
        pageInfoResponse.setMessage(ResultMsg.SUCCESS.getMsg());
        pageInfoResponse.setData(pageInfo);
        return Result.of_success(pageInfoResponse);
    }

    /**
     * 获取商城用户日志信息详情
     * @param platformLogId
     * @return
     */
    @Override
    public Result getMallUserLogDetail(Long platformLogId) {
        PlatformLog platformLog = platformLogDao.selectById(platformLogId);
        if (null == platformLog){
            return Result.of_error(ResultMsg.DATA_NOT_FOUND);
        }
        return Result.of_success(platformLog);
    }
}
