package com.jz.manage.moduls.service.impl;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.jz.common.bean.PageInfoResponse;
import com.jz.common.constant.Constants;
import com.jz.common.constant.ResultMsg;
import com.jz.common.entity.PlatformLog;
import com.jz.common.utils.Result;
import com.jz.manage.moduls.controller.log.bean.ManageLogInfoQueryReq;
import com.jz.manage.moduls.mapper.PlatformLogDao;
import com.jz.manage.moduls.service.PlatformLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 日志管理(TPlatformLog)表服务实现类
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:43
 */
@Service("platformLogService")
public class PlatformLogServiceImpl implements PlatformLogService {
    @Autowired
    private PlatformLogDao tPlatformLogDao;


    @Override
    public Result<PageInfoResponse<PlatformLog>> listManageUserLogInfo(ManageLogInfoQueryReq req) {
        PageInfoResponse<PlatformLog> pageInfoResponse = new PageInfoResponse<>();
        PageHelper.startPage(req.getPageNum(), req.getPageSize());
        List<PlatformLog> list = tPlatformLogDao.listMallLogInfo();
        PageInfo<PlatformLog> pageInfo = new PageInfo<>(list);
        pageInfoResponse.setCode(Constants.SUCCESS_CODE);
        pageInfoResponse.setMessage(ResultMsg.SUCCESS.getMsg());
        pageInfoResponse.setData(pageInfo);
        return Result.of_success(pageInfoResponse);
    }

    /**
     * 获取用户日志详情
     * @param platformLogId
     * @return
     */
    @Override
    public Result getMallUserLogDetail(Long platformLogId) {
        PlatformLog platformLog = tPlatformLogDao.selectById(platformLogId);
        if (null == platformLog){
            return Result.of_error(ResultMsg.DATA_NOT_FOUND);
        }
        return Result.of_success(platformLog);
    }
}